> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/cn/ru-men/start-using-isp-proxies.md).

# 开始使用 ISP代理

了解如何开始使用 Oxylabs ISP代理，进行稳定且无封锁的网页抓取。

{% stepper %}
{% step %}

### 设置代理用户 <a href="#h_33b47b08b9" id="h_33b47b08b9"></a>

要开始使用 Self-Service ISP代理，您需要先设置一个实例。选择 **创建实例**，系统会自动生成您的用户名和密码。您可以随时在实例设置中查看它们，如有需要，之后还可以在那里更改密码。
{% endstep %}

{% step %}

### 发起请求 <a href="#h_9c25408601" id="h_9c25408601"></a>

设置完成后，您现在可以创建并执行您的第一个 [终端中的 cURL 请求](https://oxylabs.io/resources/integrations/terminal) 或在任何其他环境中测试 ISP代理。\
​\
向 <https://ip.oxylabs.io/location> 使用下面的命令，指定端口 8001 和您的实例凭据：

```
curl -x isp.oxylabs.io:8001 -U "user-USERNAME:PASSWORD" https://ip.oxylabs.io/location
```

{% endstep %}

{% step %}

### 获取响应

执行此命令后，输出将显示与您的请求对应的 IP 地址。通过端口连接时 `8001`，系统将始终使用分配给此端口的同一个 IP 地址。若要切换到另一个 IP，请将端口更改为 `8002`, `8003`，依此类推。
{% endstep %}
{% endstepper %}

### 获取您的代理列表

在仪表板中访问您的代理列表，请前往 **全部产品** 部分，点击 ISP代理，然后选择 **代理列表**.

### 代理列表包含哪些内容？ <a href="#h_e2437a8515" id="h_e2437a8515"></a>

| 入口点    | 用于连接到您的代理的网关      |
| ------ | ----------------- |
| 端口     | 用于从列表中访问特定代理的指定端口 |
| 国家     | 您的代理的地理位置         |
| 分配的 IP | 分配给所选端口的特定代理 IP   |

### 位置设置 <a href="#h_d6defc9cf6" id="h_d6defc9cf6"></a>

ISP 代理网络提供国家/地区 [定向](/products/proxies/isp-proxies/location-settings.md)。只需向与所需位置分配 IP 对应的端口发送请求：\
​

```
curl -x isp.oxylabs.io:8000 -U 'user-USERNAME:PASSWORD' https://ip.oxylabs.io/location
```

### 协议 <a href="#h_6066c07e7b" id="h_6066c07e7b"></a>

Self-Service ISP代理支持 HTTP、HTTPS 和 SOCKS5 协议。例如，要通过 HTTPS 协议连接，您必须在请求中通过在入口点添加 https\:// 来指定：\
​

```
curl -x https://isp.oxylabs.io:8000 -U user-USERNAME:PASSWORD https://ip.oxylabs.io/location
```

\
请确保您计划使用的库或第三方工具与 HTTPS 和 SOCKS5 协议兼容。\
​

下面是一个使用 SOCKS5 协议的代码示例：\
​

```
curl -x socks5h://user-USERNAME:PASSWORD@isp.oxylabs.io:8000 https://ip.oxylabs.io/location
```

### 响应代码 <a href="#h_2fed198008" id="h_2fed198008"></a>

使用 ISP代理时，您可能会收到表示成功或失败具体原因的响应代码。以下是最常见的几种：

| 响应代码 | 错误信息     | 描述                                                                                                                                                             |
| ---- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 400  | 错误请求     | 如果请求未指定要连接的主机，或者解析 HTTP 请求时出现一般错误，代理服务器可能会返回此错误代码。请确保请求格式正确，包括 URL，然后重试。                                                                                       |
| 407  | 需要代理身份验证 | 此响应表示请求缺少代理身份验证信息，或者用户名或密码无效。请在请求中包含 Proxy-Authorization 标头，验证用户名和密码是否正确，然后重试。                                                                                 |
| 500  | 服务器内部错误  | <p>代理服务器遇到内部错误。请稍后重试该请求。<br>​</p>                                                                                                                              |
| 502  | 错误网关     | 此响应表示分配给您的 session ID 的 IP 已不再可用，或者在当前时间没有符合您指定参数（例如 city、ASN）的出口节点。要解决此问题，您可以等待一分钟，让系统为您的 session ID 分配新的 IP 地址，或者切换到新的 session ID（即更改 sessid 参数）以获取新的 IP 地址。 |
| 522  | 超时       | 代理服务器未能在规定时间内从上游服务器收到响应。请重试请求。                                                                                                                                 |
| 525  | 未找到出口节点  | 此自定义 HTTP 状态代码表示代理未能找到满足请求的出口节点。请调整请求过滤参数，或稍后再试。                                                                                                               |

🎯 在我们的 [文档](/products/proxies/isp-proxies.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/help-center/cn/ru-men/start-using-isp-proxies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
